%% 注释告知:每行至多只有一类错误,修改错误并注释错误原因,不允许修改变量名和程序逻辑结构
close all
clear
clc

A=[6,9,12];                               %A为一行三列的向量(换为英文符号)
B=[6,5;4,3;2,1;];                                %B为三行两列的矩阵（：改为;）
C=[1,2 3;4 5,6];                               %C为两行三列的矩阵（,改为;）
D=[11,12,18 19
   11 12 18,19,
   111 12 18 19];
F=zeros(3,1);                                 %F为3行1列的零向量(1和3调换位置)

Matrix_1=[A;A;A;]/3;
Matrix_2=D(:,1:3);                      %% 取出D的前三列(换为英文符号)
Matrix_3=Matrix_2.*Matrix_1;            %% 让TEMP2和TEMP1对应元素相乘(.*点乘)

E=Matrix_3-(B*C);            

I=max(max(E));              %% 找出E全部元素最大值(最后加）)

while I>0 
    if I==3 | (I>100 && I<=102)          %% I为3或者介于(100,102]的时候才执行下面的for循环  （ == && <=）
        for i=1:3
            disp('命令行中有且只有这句话9次才表示你对了');    %%  显示"命令行中有且只有这句话9次才表示你对了"这句话 (语句最后加')
        end
    end
    I=I-1;                 %% while函数的计数和判断变量I减去1（此行前加end）
end
%%本次作业的错误主要为中英文标点使用，简单逻辑符号使用和简单逻辑的问题，较为简单。不过第一次接触matlab还需要时间熟悉